{
  "custom": {},
  "params": {
    "configuring": false,
    "equipmentPath": "",
    "title": "Line State Name"
  },
  "propConfig": {
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\n\t\tconfigParams.titleIn \u003d viewParams.title\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.title \u003d configParams.titleOut\n"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 144,
      "width": 275
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px"
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            }
          },
          "props.params.equipmentPathIn": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "params": {
            "equipmentPathOut": "",
            "titleIn": "Line State Name",
            "titleOut": "Line State Name"
          },
          "path": "Page/Widgets/Configuration/Equipment Path, Title"
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "title"
            },
            "position": {
              "shrink": 0
            },
            "propConfig": {
              "position.display": {
                "binding": {
                  "config": {
                    "expression": "coalesce({view.params.title},\u0027\u0027)!\u003d\u0027\u0027"
                  },
                  "type": "expr"
                }
              },
              "props.params.text": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "path": "Page/Embedded/Widget Title"
            },
            "type": "ia.display.view"
          },
          {
            "meta": {
              "name": "body"
            },
            "position": {
              "basis": "32px",
              "grow": 1
            },
            "propConfig": {
              "props.style.fontSize": {
                "binding": {
                  "config": {
                    "path": "page.props.dimensions.viewport.width"
                  },
                  "transforms": [
                    {
                      "code": "\tif value \u003c 1300:\n\t\treturn 15",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "\u0027[MES]\u0027 + replace({view.params.equipmentPath},\u0027\\\\\u0027,\u0027/\u0027) + \u0027/Live Analysis/Current Shift/Line State Name\u0027"
                  },
                  "transforms": [
                    {
                      "expression": "coalesce({value},\u0027None\u0027)",
                      "type": "expression"
                    }
                  ],
                  "type": "tag"
                }
              }
            },
            "props": {
              "style": {
                "classes": "Label/labelBody"
              }
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "basis": "200px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          },
          "props.style.fontSize": {
            "binding": {
              "config": {
                "path": "page.props.dimensions.viewport.width"
              },
              "transforms": [
                {
                  "code": "\tif value \u003e\u003d 1300:\n\t\treturn 25\n\telse:\n\t\treturn 15",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "direction": "column",
          "style": {
            "classes": "Label/labelBody"
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}